> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> List users that have access to a Synced Object by a specific role

<Info>
  Responses from this endpoint are limited to 1000 users by default.

  If your use case involves checking permissions for 1000+ users per file, see our [Permissions API Implementation Guide](/managed-sync/permissions-api#implementing-permissions-api) for guidance on using other available endpoints.
</Info>


## OpenAPI

````yaml post /api/permissions/{syncId}/list-users
openapi: 3.0.0
info:
  title: Paragon Sync API
  description: API for managing Syncs and permissions for Connected Users
  version: 1.0.0
servers:
  - url: https://sync.useparagon.com
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/permissions/{syncId}/list-users:
    post:
      summary: List Users
      description: List users that have access to a Synced Object by a specific role
      parameters:
        - name: syncId
          in: path
          required: true
          schema:
            type: string
          description: >-
            UUID of the Sync to query, returned from the [Enable
            Sync](/managed-sync/api/enable-a-sync) endpoint.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListUsersRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListUsersResponse'
        '401':
          description: Unauthorized
components:
  schemas:
    ListUsersRequest:
      type: object
      properties:
        object:
          type: string
          description: >-
            UUID of the Synced Object, returned from the [Pull Synced
            Records](/managed-sync/api/pull-synced-records) endpoint.
          example: a657df3b-17e2-5989-bc5f-13ddb7fdab41
        role:
          type: string
          description: The role to filter related users by.
          enum:
            - can_read
            - can_write
            - is_owner
      required:
        - object
        - role
    ListUsersResponse:
      type: object
      required:
        - users
      properties:
        users:
          type: array
          description: >-
            List of user emails that have access to the Synced Object with the
            specified role.
          items:
            type: string
            example: email@example.com
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Paragon User Token. Add to the Authorization header of your requests.

````